import { Routes } from '@angular/router';

export const basicRoutes: Routes = [
  {
    path: 'line',
    loadComponent: () => import('./line/line.component').then(m => m.LineComponent),
    data: {
      title: '线路',
      icon: 'icons:line',
      weight: 1,
    },
  },
  {
    path: 'type',
    loadComponent: () => import('./type/type.component').then(m => m.TypeComponent),
    data: {
      animation: 'TypePage',
      title: '生产类型',
      icon: 'icons:type',
      weight: 2,
    },
  },
  {
    path: 'unit',
    loadComponent: () => import('./unit/unit.component').then(m => m.UnitComponent),
    data: {
      animation: 'UnitPage',
      title: '生产单元',
      icon: 'icons:unit',
      weight: 3,
    },
  },
  {
    path: 'post',
    loadComponent: () => import('./post/post.component').then(m => m.PostComponent),
    data: {
      animation: 'PostPage',
      title: '岗位',
      icon: 'icons:user-fill',
      weight: 4,
    },
  },
  {
    path: 'post-group',
    loadComponent: () => import('./post-group/post-group.component').then(m => m.PostGroupComponent),
    data: {
      animation: 'PostGroupPage',
      title: '岗位组',
      icon: 'icons:post-group',
      weight: 5,
    },
  },
  {
    path: 'operation',
    loadComponent: () => import('./operation/operation.component').then(m => m.OperationComponent),
    data: {
      title: '作业',
      icon: 'icons:transit',
      weight: 6,
    },
  },
  {
    path: 'equipment',
    loadComponent: () => import('./equipment/equipment.component').then(m => m.EquipmentComponent),
    data: {
      title: '设备',
      icon: 'icons:equipment',
      weight: 7,
    },
  },
  {
    path: 'department',
    loadComponent: () => import('./department/department.component').then(m => m.DepartmentComponent),
    data: {
      title: '部门',
      icon: 'icons:post-group',
      weight: 8,
    },
  },
];
