import { Component } from '@angular/core';
import { CommonNzModule } from '../../../../common.nz.module';
import { EnterpriseInputComponent } from './enterprise-input/enterprise-input.component';
import { RiskItemListComponent } from './risk-item-list/risk-item-list.component';
import { UpdateRecordComponent } from './update-record/update-record.component';

@Component({
  selector: 'knowledge-bank',
  standalone: true,
  imports: [CommonNzModule, RiskItemListComponent, UpdateRecordComponent, EnterpriseInputComponent],
  templateUrl: './bank.component.html',
  styleUrl: './bank.component.less',
})
export class BankComponent {
  tabs = [
    {
      label: '风险知识',
      value: 'risk-knowledge',
    },
    // {
    //   label: '企业录入情况',
    //   value: 'enterprise-input',
    // },
    {
      label: '更新纪录',
      value: 'update-record',
    },
  ];
  activeTab = this.tabs[0].value;

  changeTab(tab: string) {
    this.activeTab = tab;
  }
}
