import { Component } from '@angular/core';
import { CommonNzModule } from '../../../../../common.nz.module';
import { CustomDrawerComponent } from '../../../../../shared/custom-drawer/custom-drawer.component';
import { FilterButtonGroupComponent } from '../../../../../shared/filter-button-group/filter-button-group.component';
import { RiskItemFormComponent } from '../risk-item-form/risk-item-form.component';
import { RiskItemTableComponent } from '../risk-item-table/risk-item-table.component';

const categories = [
  '客运组织',
  '行车组织',
  '检修施工',
  '车辆运维',
  '通号运维',
  '公务运维',
  '供电运维',
  '物资后勤',
  '机电运维',
  '八防措施',
  '保护区',
  '恶劣气象',
  '消防',
  '综治',
];

const levels = ['R1', 'R2', 'R2*', 'R3', 'R4'];

@Component({
  selector: 'risk-item-list',
  standalone: true,
  imports: [
    CommonNzModule,
    RiskItemTableComponent,
    CustomDrawerComponent,
    RiskItemFormComponent,
    FilterButtonGroupComponent,
  ],
  templateUrl: './risk-item-list.component.html',
  styleUrl: './risk-item-list.component.less',
})
export class RiskItemListComponent {
  drawerConfig = {
    title: '创建风险条目',
    visible: false,
  };

  categories: Option<string>[] = categories.map(item => ({
    label: item,
    value: item,
  }));

  levels: Option<string>[] = levels.map(item => ({
    label: item,
    value: item,
  }));

  activeCategory: string | null = '客运组织';
  activeLevel: string | null = 'R1';

  changeCategory(value: string) {
    this.activeCategory = value;
  }

  changeLevel(value: string) {
    this.activeLevel = value;
  }

  createRiskItem() {
    this.drawerConfig.visible = true;
  }

  closeDrawer() {
    this.drawerConfig.visible = false;
  }
}
