import { Component } from '@angular/core';
import { CommonNzModule } from '../../../../../common.nz.module';

interface RiskItem {
  // 序号
  id: number;
  // 风险项
  titles: string[];
  // 风险描述
  description: string;
  // 导致后果
  consequences: string[];
  // 风险等级
  level: string;
  // 涉及场所/作业/设备
  related: string[];
  // 责任岗位
  job: string[];
}

const getMockItem = (id: number): RiskItem => ({
  id,
  titles: ['车站环境', '客运组织'],
  description: `风险描述描述文本描述文本描述文本描述文本描述文本描述文本${id}`,
  consequences: ['行车事故', '人身伤亡'],
  level: `R3-一般风险`,
  related: ['5号线- XX站点', '中心- XX作业', '站点/中心- XX设备'],
  job: ['车站值班员', '车站值班站长', '车站站长'],
});

@Component({
  selector: 'app-risk-item-table',
  standalone: true,
  imports: [CommonNzModule],
  templateUrl: './risk-item-table.component.html',
  styleUrl: './risk-item-table.component.less',
})
export class RiskItemTableComponent {
  pageConfig: IPageConfig = {
    page: 0,
    total: 0,
    size: 10,
  };
  onCurrentPageChange(page: number) {
    this.pageConfig.page = page;
  }

  list: RiskItem[] = Array.from({ length: 10 }, (_, index) => getMockItem(index + 1));

  onRemove(data: RiskItem) {
    console.log(data);
  }
  onUpdate(data: RiskItem) {
    console.log(data);
  }
  onEdit(data: RiskItem) {
    console.log(data);
  }
}
