import { Component } from '@angular/core';
import { Router, RouterLink, RouterLinkActive } from '@angular/router';
import { CommonNzModule } from '../../../../common.nz.module';
import { SettingService } from '../../../../services/setting.service';
import { StorageService } from '../../../../services/storage.service';

export interface IPath {
  path: string;
  label: string;
  icon?: string;
  weight?: number;
}

@Component({
  selector: 'manager-header',
  standalone: true,
  imports: [CommonNzModule, RouterLink, RouterLinkActive],
  templateUrl: './header.component.html',
  styleUrl: './header.component.less',
})
export class HeaderComponent {
  menu: IPath[] = [
    {
      path: '/manager/dashboard',
      label: '风险看板',
      icon: 'assets/images/nav/dashboard.png',
    },
    {
      path: '/manager/workbench/my',
      label: '我的工作台',
      icon: 'assets/images/nav/workbench.png',
    },
    {
      path: '/manager/user',
      label: '用户管理',
      icon: 'assets/images/nav/user.png',
    },
    {
      path: '/manager/control',
      label: '风险管控',
      icon: 'assets/images/nav/control.png',
    },
    {
      path: '/manager/risk-knowledge/list',
      label: '风险知识管理',
      icon: 'assets/images/nav/knowledge.png',
    },
    {
      path: '/manager/potential-hazard',
      label: '隐患管理',
      icon: 'assets/images/nav/potential-hazard.png',
    },
    {
      path: '/manager/basic-data',
      label: '基础数据管理',
      icon: 'assets/images/nav/potential-hazard.png',
    },
  ];
  constructor(
    readonly setting: SettingService,
    private readonly storage: StorageService,
    private readonly router: Router
  ) {}
  // toCenter(ev: MouseEvent) {
  //   ev.preventDefault();
  //   this.router.navigate(['/manager/center']);
  // }
  handleLogout(ev: MouseEvent) {
    ev.preventDefault();
    this.setting.clear();
    this.storage.token = '';
    this.router.navigate(['/login']);
  }
}
