import { Routes } from '@angular/router';
import { basicRoutes } from './basic/basic.route';
import { knowledgeRoutes } from './knowledge/knowledge.route';
import { workbenchRoutes } from './workbench/workbench.route';

export const managerRoutes: Routes = [
  {
    path: 'workbench',
    loadComponent: () => import('./workbench/workbench.component').then(m => m.WorkbenchComponent),
    children: workbenchRoutes,
    data: {
      title: '工作台',
      icon: 'user',
      weight: 0,
    },
  },
  {
    path: 'risk-knowledge',
    loadComponent: () => import('./knowledge/knowledge.component').then(m => m.KnowledgeComponent),
    children: knowledgeRoutes,
    data: {
      title: '风险知识管理',
      icon: 'user',
      weight: 0,
    },
  },
  {
    path: 'basic-data',
    loadComponent: () => import('./basic/basic.component').then(m => m.BasicComponent),
    children: basicRoutes,
    data: {
      title: '基础数据管理',
      icon: 'user',
      weight: 0,
    },
  },
  { path: '', pathMatch: 'full', redirectTo: 'workbench' },
];
