import { Injectable } from '@angular/core';
import { Get, Post, requestDone } from '../http.decorators';
import { _BaseApi } from './_base';

@Injectable({ providedIn: 'root' })
export class BasicApi extends _BaseApi {
  @Get('/basic/predefine/all', false, ['type'])
  async getPredefineList(type: string): Promise<BasicData.Predefine[]> {
    requestDone();
  }
  @Post('/basic/predefine/add')
  async addPredefine(data: Omit<BasicData.Predefine, 'id'>): Promise<void> {
    requestDone(data);
  }
  async deletePredefine(type: string, value: string): Promise<void> {
    return this.http.delete('/basic/predefine/remove', { type, value });
  }

  async deleteType(name: string): Promise<void> {
    return this.http.delete('/basic/product/remove-type', { name });
  }

  @Get('/basic/product/units')
  async getUnitList(): Promise<BasicData.Unit[]> {
    requestDone();
  }
  @Post('/basic/product/update-unit')
  async updateUnit(data: Partial<BasicData.Unit>): Promise<void> {
    requestDone(data);
  }
  @Post('/basic/product/add-unit')
  async addUnit(data: Partial<BasicData.Unit>): Promise<void> {
    requestDone(data);
  }
  async deletedUnit(id: number): Promise<void> {
    return this.http.delete('/basic/product/remove-unit', { id });
  }

  @Get('/basic/equipment/all')
  async getEquipmentList(): Promise<BasicData.Equipment[]> {
    requestDone();
  }
  @Post('/basic/equipment/update')
  async updateEquipment(data: Partial<BasicData.Equipment>): Promise<void> {
    requestDone(data);
  }
  @Post('/basic/equipment/add')
  async addEquipment(data: Partial<BasicData.Equipment>): Promise<void> {
    requestDone(data);
  }
  async deletedEquipment(id: number): Promise<void> {
    return this.http.delete('/basic/equipment/remove', { id });
  }

  async removeDepartment(departmentName: string, companyName: string): Promise<void> {
    return this.http.delete('/hr/department/remove', { department: departmentName, company: companyName });
  }
}
