import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'filter-button-group',
  standalone: true,
  imports: [],
  templateUrl: './filter-button-group.component.html',
  styleUrl: './filter-button-group.component.less',
})
export class FilterButtonGroupComponent<T = any> {
  @Input() label = '';
  @Input() options: Option<T>[] = [];
  @Input() activeValue: T | null = null;
  @Output() change = new EventEmitter<T>();

  handleChange(value: T) {
    this.change.emit(value);
  }
}
